FROM alpine:latest

ENV APP_VERSION=1.0.0 \
  APP_HOME=/service \
  APP_NAME=overflow_service_websocket

WORKDIR ${APP_HOME}

ADD dist/${APP_NAME} ${APP_HOME}/
ADD config.json ${APP_HOME}/

EXPOSE 80 443

ENTRYPOINT ["./overflow_service_websocket"]

# docker build -f Dockerfile -t docker.loafle.net/overflow/overflow_service_websocket:1.0.0-alpine .
# docker run -d -p 18081:80 -t docker.loafle.net/overflow/overflow_service_websocket:1.0.0-alpine
